Package org.gradle.api.tasks.wrapper

# Enum Wrapper.PathBase

java.lang.Object
java.lang.Enum<Wrapper.PathBase>
org.gradle.api.tasks.wrapper.Wrapper.PathBase

All Implemented Interfaces:
  `Serializable`, `Comparable<Wrapper.PathBase>`, `Constable`

Enclosing class:
  `Wrapper`

public static enum Wrapper.PathBase extends Enum<Wrapper.PathBase>
Specifies how the wrapper path should be interpreted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRADLE_USER_HOME`
  `PROJECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Wrapper.PathBase`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Wrapper.PathBase[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROJECT

    public static final Wrapper.PathBase PROJECT

  - ### GRADLE_USER_HOME

    public static final Wrapper.PathBase GRADLE_USER_HOME

- ## Method Details

  - ### values

    public static Wrapper.PathBase[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Wrapper.PathBase valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null